### Method

# Gtk TextBuffer get_text

#### Declaration [src]

    char*
    gtk_text_buffer_get_text (
      GtkTextBuffer* buffer,
      const GtkTextIter* start,
      const GtkTextIter* end,
      gboolean include_hidden_chars
    )

#### Description [src]

Returns the text in the range [`start`,`end`).

Excludes undisplayed text (text marked with tags that set the invisibility attribute) if `include_hidden_chars` is `FALSE`. Does not include characters representing embedded images, so byte and character indexes into the returned string do not correspond to byte and character indexes into the buffer. Contrast with gtk_text_buffer_get_slice().

#### Parameters

`start` | `GtkTextIter`
| Start of a range.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| End of a range.
| The data is owned by the caller of the function.
`include_hidden_chars` | `gboolean`
| Whether to include invisible text.

#### Return value

Returns: | `char*`
| An allocated UTF-8 string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.